org.apache.geode.cache.configuration

## Class JndiBindingsType.JndiBinding.ConfigProperty

- java.lang.Object
- - org.apache.geode.cache.configuration.JndiBindingsType.JndiBinding.ConfigProperty

- All Implemented Interfaces:
    java.io.Serializable, CacheElement, Identifiable<java.lang.String>
  Enclosing class:
    JndiBindingsType.JndiBinding

      public static class JndiBindingsType.JndiBinding.ConfigProperty
      extends java.lang.Object
      implements CacheElement

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="config-property-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="config-property-type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="config-property-value" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `configPropertyName`
    `protected java.lang.String` | `configPropertyType`
    `protected java.lang.String` | `configPropertyValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigProperty()`
    `ConfigProperty(java.lang.String name, java.lang.String type, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Get the id of the element.
    `java.lang.String` | `getName()` Gets the value of the configPropertyName property.
    `java.lang.String` | `getType()` Gets the value of the configPropertyType property.
    `java.lang.String` | `getValue()` Gets the value of the configPropertyValue property.
    `void` | `setName(java.lang.String value)` Sets the value of the configPropertyName property.
    `void` | `setType(java.lang.String value)` Sets the value of the configPropertyType property.
    `void` | `setValue(java.lang.String value)` Sets the value of the configPropertyValue property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.configuration.CacheElement

      `findElement, removeElement`

- - ### Field Detail

    - #### configPropertyName

          protected java.lang.String configPropertyName

    - #### configPropertyType

          protected java.lang.String configPropertyType

    - #### configPropertyValue

          protected java.lang.String configPropertyValue

  - ### Constructor Detail

    - #### ConfigProperty

          public ConfigProperty()

    - #### ConfigProperty

          public ConfigProperty(java.lang.String name,
                                java.lang.String type,
                                java.lang.String value)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the id of the element. The id is the same as the name.
      Specified by:
        `getId` in interface `Identifiable<java.lang.String>`
      Returns:
        the id of the element

    - #### getName

          public java.lang.String getName()

      Gets the value of the configPropertyName property. possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the configPropertyName property. allowed object is `String`

    - #### getType

          public java.lang.String getType()

      Gets the value of the configPropertyType property. possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the configPropertyType property. allowed object is `String`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the configPropertyValue property. possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the configPropertyValue property. allowed object is `String`